Bug 1758306 - Bump boot images to pick up signed RPMs
Summary: Bump boot images to pick up signed RPMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.0
Assignee: W. Trevor King
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1758312
TreeView+ depends on / blocked
 
Reported: 2019-10-03 19:51 UTC by W. Trevor King
Modified: 2020-05-13 21:26 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1758312 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:26:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2455 None closed Bug 1758306: data/rhcos: Bump to rhcos-4.3/43.80.20191002.1 2020-02-24 18:48:17 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-05-13 21:26:42 UTC

Description W. Trevor King 2019-10-03 19:51:31 UTC
The internal RHCOS pipeline switched to signed RPMs around 2019-10-01T19:51Z [1].  Bump the installer-pinned boot images to a more recent build to pick those up.

[1]: https://gitlab.cee.redhat.com/coreos/redhat-coreos/merge_requests/612#note_907837
     Internal link, sorry :/

Comment 2 Johnny Liu 2019-10-08 08:30:32 UTC
Run a sanity testing using ci build, 4.3.0-0.ci-2019-10-07-225719, and PASS.

# oc get clusterversion
NAME      VERSION                        AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.ci-2019-10-07-225719   True        False         3m45s   Cluster version is 4.3.0-0.ci-2019-10-07-225719


# oc debug node/ip-10-0-137-142.us-east-2.compute.internal
Starting pod/ip-10-0-137-142us-east-2computeinternal-debug ...
To use host binaries, run `chroot /host`
Pod IP: 10.0.137.142
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
* pivot://registry.svc.ci.openshift.org/ocp/4.3-2019-10-07-225719@sha256:58d0aaf2ffbcf4e8072ac17fc9c5536f853c64f9646feb393235086250e11d57
              CustomOrigin: Managed by machine-config-operator
                   Version: 43.80.20191007.0 (2019-10-07T19:58:04Z)

  pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:30857847ade065a57e02c9297cafdd6b2a95d086d0d99480980a3a6eaba2a95b
              CustomOrigin: Image generated via coreos-assembler
                   Version: 43.80.20191002.1 (2019-10-02T23:58:44Z)


The bootimage is switched to 43.80.20191002.1.


Waiting for 4.3 downstream build for a final verification.

Comment 3 Johnny Liu 2019-10-16 08:57:36 UTC
Verified this bug with 4.3.0-0.nightly-2019-10-16-010826, and PASS.


1. Trigger ipi install on GCP.

2. Check boot image version.

# oc debug node/jialiu-lc5zf-w-a-bcc6x.c.openshift-qe.internal
Starting pod/jialiu-lc5zf-w-a-bcc6xcopenshift-qeinternal-debug ...
To use host binaries, run `chroot /host`
Pod IP: 10.0.32.2
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
* pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b66b48f14fa2b3e680318fd256cf863cc710f5e35e74bf5c8e79796cd810f991
              CustomOrigin: Managed by machine-config-operator
                   Version: 43.80.20191015.1 (2019-10-15T14:57:43Z)

  pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:30857847ade065a57e02c9297cafdd6b2a95d086d0d99480980a3a6eaba2a95b
              CustomOrigin: Image generated via coreos-assembler
                   Version: 43.80.20191002.1 (2019-10-02T23:58:44Z)


The boot image version is '43.80.20191002.1' which is aligned with https://github.com/openshift/installer/blob/release-4.3/data/data/rhcos.json

Comment 5 errata-xmlrpc 2020-05-13 21:26:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.